﻿$ErrorActionPreference = 'Stop';

$packageName= 'HeidiSQL'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.heidisql.com/installers/HeidiSQL_12.1.0.6537_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)

  # optional, highly recommended
  softwareName  = 'HeidiSQL*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = '7fb2561a3a72b2551cbc5810ec50001c90fb5686'
  checksumType  = 'sha1' #default is md5, can also be sha1
  checksum64    = ''
  checksumType64= '' #default is checksumType
}

Install-ChocolateyPackage @packageArgs
